package com.yifu.cloud.plus.v1.yifu.archives.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TEmployeeRetirement;
import com.yifu.cloud.plus.v1.yifu.archives.vo.*;
import com.yifu.cloud.plus.v1.yifu.social.vo.TDispatchInfoSearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @author 86187
 * @description 针对表【t_employee_retirement】的数据库操作Mapper
 * @createDate 2023-05-18 15:40:46
 * @Entity generator.domain.TEmployeeRetirement
 */
@Mapper
public interface TEmployeeRetirementMapper extends BaseMapper<TEmployeeRetirement> {


	IPage<TEmployeeRetirement> getTEmployeeRetirementPage(Page page, @Param("searchVo") TEmployeeRetirementSearchVo searchVo);

	List<TEmployeeRetirement> getBirthday(@Param("TT") String TT, @Param("LL") String LL);

	boolean changeHandleFlagAll(@Param("changeHandleFlagAllVo") ChangeHandleFlagAllVo changeHandleFlagAllVo);

	boolean changeHandleFlag(@Param("changeHandleFlagVo")ChangeHandleFlagVo changeHandleFlagVo);

	int selectByEmpIdcard(@Param("empIdCard") String empIdCard);

	int add(@Param("tEmployeeRetirement") TEmployeeRetirement tEmployeeRetirement);

	long selectExportCount(@Param("tEmployeeRetirement") TEmployeeRetirementExportVo tEmployeeRetirement);

	List<TEmployeeRetirementExportVo>noPageDiy(@Param("searchVo")TEmployeeRetirementSearchVo searchVo);

	int noPageCountDiy(@Param("searchVo")TEmployeeRetirementSearchVo searchVo);

	String selectByIdd(@Param("id")Integer id);

}
